> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Stock Balances



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/stock/balances
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/stock/balances:
    get:
      tags:
        - Stock
      summary: List Stock Balances
      operationId: list_stock_balances_api_v1_stock_balances_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: stockDomain
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stockdomain
        - name: materialId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Materialid
        - name: styleId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Styleid
        - name: locationId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Locationid
        - name: availableOnly
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Availableonly
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: '-updated_at'
            title: Sort
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedStockBalancesResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedStockBalancesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/StockBalanceResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/routers__external__stock__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedStockBalancesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StockBalanceResponse:
      properties:
        id:
          type: string
          title: Id
        stockLotId:
          type: string
          title: Stocklotid
        stockLotDocumentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stocklotdocumentid
        stockLocationId:
          type: string
          title: Stocklocationid
        stockLocationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Stocklocationname
        materialId:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialid
        materialName:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialname
        materialSkuId:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialskuid
        styleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleid
        styleName:
          anyOf:
            - type: string
            - type: 'null'
          title: Stylename
        styleSkuId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleskuid
        stockDomain:
          type: string
          title: Stockdomain
        qtyOnHand:
          type: number
          title: Qtyonhand
        qtyReserved:
          type: number
          title: Qtyreserved
        qtyAvailable:
          type: number
          title: Qtyavailable
        uom:
          type: string
          title: Uom
        valuationRate:
          anyOf:
            - type: number
            - type: 'null'
          title: Valuationrate
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - stockLotId
        - stockLocationId
        - stockDomain
        - qtyOnHand
        - qtyReserved
        - qtyAvailable
        - uom
      title: StockBalanceResponse
    routers__external__stock__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````